<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.jvm Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.jvm Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/ivy/package-tree.html">Prev</a></li>
<li><a href="../../../org/gradle/jvm/application/scripts/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/jvm/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.jvm</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmByteCode.html" title="class in org.gradle.jvm"><span class="strong">JvmByteCode</span></a> (implements org.gradle.platform.base.<a href="../../../org/gradle/platform/base/TransformationFileType.html" title="interface in org.gradle.platform.base">TransformationFileType</a>)</li>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmResources.html" title="class in org.gradle.jvm"><span class="strong">JvmResources</span></a> (implements org.gradle.platform.base.<a href="../../../org/gradle/platform/base/TransformationFileType.html" title="interface in org.gradle.platform.base">TransformationFileType</a>)</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base"><span class="strong">Binary</span></a>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">BinarySpec</span></a> (also extends org.gradle.api.<a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a>, org.gradle.api.<a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a>)
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmBinarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/ClassDirectoryBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">ClassDirectoryBinarySpec</span></a></li>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">LibraryBinarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><span class="strong">Buildable</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api"><span class="strong">BuildableComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">BinarySpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a>, org.gradle.api.<a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a>)
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmBinarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/ClassDirectoryBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">ClassDirectoryBinarySpec</span></a></li>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">LibraryBinarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/Classpath.html" title="interface in org.gradle.jvm"><span class="strong">Classpath</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.component.<a href="../../../org/gradle/api/component/Component.html" title="interface in org.gradle.api.component"><span class="strong">Component</span></a>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/Library.html" title="interface in org.gradle.platform.base"><span class="strong">Library</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmLibrary.html" title="interface in org.gradle.jvm"><span class="strong">JvmLibrary</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><span class="strong">Collection</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">DomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/BinaryTasksCollection.html" title="interface in org.gradle.platform.base"><span class="strong">BinaryTasksCollection</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec.TasksCollection</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util"><span class="strong">Set</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/BinaryTasksCollection.html" title="interface in org.gradle.platform.base"><span class="strong">BinaryTasksCollection</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec.TasksCollection</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmApiSpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmApiSpec</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api"><span class="strong">Named</span></a>
<ul>
<li type="circle">org.gradle.model.<a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model"><span class="strong">ModelElement</span></a>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">ComponentSpec</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api"><span class="strong">BuildableComponentSpec</span></a> (also extends org.gradle.api.<a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">BinarySpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a>, org.gradle.api.<a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a>)
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmBinarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/ClassDirectoryBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">ClassDirectoryBinarySpec</span></a></li>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">LibraryBinarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api"><span class="strong">CheckableComponentSpec</span></a>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">BinarySpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a>, org.gradle.api.<a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a>)
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmBinarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/ClassDirectoryBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">ClassDirectoryBinarySpec</span></a></li>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">LibraryBinarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JarBinarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">GeneralComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base">SourceComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base">VariantComponentSpec</a>)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">LibrarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmLibrarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmComponentSpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmLibrarySpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base">LibrarySpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">SourceComponentSpec</span></a>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">GeneralComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base">VariantComponentSpec</a>)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">LibrarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmLibrarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">VariantComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/VariantComponent.html" title="interface in org.gradle.platform.base">VariantComponent</a>)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">GeneralComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base">SourceComponentSpec</a>)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">LibrarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmLibrarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">PlatformAwareComponentSpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmLibrarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base">LibrarySpec</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/VariantComponent.html" title="interface in org.gradle.platform.base"><span class="strong">VariantComponent</span></a>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">VariantComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">GeneralComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base">SourceComponentSpec</a>)
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">LibrarySpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmLibrarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">PlatformAwareComponentSpec</span></a>
<ul>
<li type="circle">org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm"><span class="strong">JvmLibrarySpec</span></a> (also extends org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a>, org.gradle.platform.base.<a href="../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base">LibrarySpec</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/ivy/package-tree.html">Prev</a></li>
<li><a href="../../../org/gradle/jvm/application/scripts/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/jvm/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
